<template>
    <login></login>
</template>

<script>
  import Login from './Login'

  export default {
    components: {
      Login
    },
    name: 'index',
    mounted () {
      if (this.$auth.isAuth && this.$user.regStep === 4) {
        this.$router.push({name: 'registration'});
      }
      if (!Object.is(JSON.stringify(this.$route.query), JSON.stringify({}))) {
        this.$router.push({name: 'login'});
      }
    }
  }
</script>

<style scoped>

</style>
